> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/accountattributes.md).

# AccountAttributes

Attributes for creating and updating an account

```json
{
  "code": "",
  "accountTypeId": "456123",
  "industryId": "456123",
  "employees": 123,
  "annualRevenue": 123,
  "name": "",
  "billingStreet": "",
  "billingCity": "",
  "billingState": "",
  "billingZip": "",
  "billingCountry": "",
  "billingContactId": "456123",
  "billingContact": {
    "code": "",
    "firstName": "",
    "lastName": "",
    "email": "",
    "salutation": "",
    "title": "",
    "phone": "",
    "mobile": "",
    "mailingStreet": "",
    "mailingCity": "",
    "mailingZip": "",
    "mailingState": "",
    "mailingCountry": "",
    "portalAccess": true,
    "description": "",
    "accountId": "456123",
    "accountCode": "",
    "campaignCode": "",
    "linkedinUrl": ""
  },
  "shippingStreet": "",
  "shippingCity": "",
  "shippingState": "",
  "shippingZip": "",
  "shippingCountry": "",
  "description": "",
  "phone": "",
  "fax": "",
  "website": "",
  "currencyId": "456123",
  "taxNumber": "",
  "groupId": "456123",
  "netPaymentDays": 123,
  "draftInvoices": true,
  "newQuoteBuilder": true,
  "duns": "",
  "timezone": "",
  "ownerUserId": "456123",
  "ipAddress": "",
  "entityUseCode": "",
  "linkedinUrl": "",
  "invoiceTemplateId": "456123",
  "entityId": "456123",
  "secondaryBillingContactIds": [
    "456123"
  ],
  "emailsEnabled": true,
  "disableDunning": true,
  "consolidatedBilling": true,
  "parentAccountId": "456123",
  "invoicedAccountId": "456123",
  "payingAccountId": "456123"
}
```

| Name                       | Type                                                                     | Description                                                                                                                 |
| -------------------------- | ------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------- |
| code                       | String                                                                   | Custom unique identifier for the account                                                                                    |
| accountTypeId              | ID                                                                       | The type of account                                                                                                         |
| industryId                 | ID                                                                       | Industry the account belongs to                                                                                             |
| employees                  | Int                                                                      | Number of employees                                                                                                         |
| annualRevenue              | Int                                                                      | Annual revenue                                                                                                              |
| name                       | String                                                                   | Name of the account                                                                                                         |
| billingStreet              | String                                                                   | Street address for billing                                                                                                  |
| billingCity                | String                                                                   | City for billing                                                                                                            |
| billingState               | String                                                                   | State for billing                                                                                                           |
| billingZip                 | String                                                                   | Zip/PostalCode for billing                                                                                                  |
| billingCountry             | String                                                                   | Country for billing                                                                                                         |
| billingContactId           | ID                                                                       | Contact id for billing correspondence                                                                                       |
| billingContact             | [ContactAttributes](/developer/api-reference/types/contactattributes.md) | Contact for billing correspondence                                                                                          |
| shippingStreet             | String                                                                   | Street address for shipping                                                                                                 |
| shippingCity               | String                                                                   | City for shipping                                                                                                           |
| shippingState              | String                                                                   | State for shipping                                                                                                          |
| shippingZip                | String                                                                   | Zip/PostalCode for shipping                                                                                                 |
| shippingCountry            | String                                                                   | Country for shipping                                                                                                        |
| description                | String                                                                   | Description of the account                                                                                                  |
| phone                      | String                                                                   | Primary phone number for the account                                                                                        |
| fax                        | String                                                                   | Primary fax number for the account                                                                                          |
| website                    | String                                                                   | Website of the account                                                                                                      |
| currencyId                 | ID                                                                       | Primary currency for billing                                                                                                |
| taxNumber                  | String                                                                   | Tax number                                                                                                                  |
| groupId                    | ID                                                                       | Group that the account belongs to                                                                                           |
| netPaymentDays             | Int                                                                      | Payment terms in days                                                                                                       |
| draftInvoices              | Boolean                                                                  | Send new invoices to draft state                                                                                            |
| newQuoteBuilder            | Boolean                                                                  | Use the new quote builder to create quotes and invoices                                                                     |
| duns                       | String                                                                   | Dun & Bradstreet Number                                                                                                     |
| timezone                   | String                                                                   | Time zone                                                                                                                   |
| ownerUserId                | ID                                                                       | Account owner                                                                                                               |
| ipAddress                  | String                                                                   | Remote IP address of the lead                                                                                               |
| entityUseCode              | String                                                                   | Tax entity use code                                                                                                         |
| linkedinUrl                | String                                                                   | Link to the account's LinkedIn profile                                                                                      |
| invoiceTemplateId          | ID                                                                       | Invoice template to be used for invoice generation                                                                          |
| entityId                   | ID                                                                       | The entity this account belongs to                                                                                          |
| secondaryBillingContactIds | List (ID)                                                                | Secondary billing contact IDs                                                                                               |
| emailsEnabled              | Boolean                                                                  | Enable sending emails to account contacts                                                                                   |
| disableDunning             | Boolean                                                                  | Indicates if dunning is disabled for this account                                                                           |
| consolidatedBilling        | Boolean                                                                  | Enable consolidated billing for this account                                                                                |
| parentAccountId            | ID                                                                       | Parent account in the hierarchy. Set to null to remove the parent.                                                          |
| invoicedAccountId          | ID                                                                       | Account that should receive invoices. Must be self or an ancestor. Null means self.                                         |
| payingAccountId            | ID                                                                       | Account whose payment method pays invoices. Must be invoiced\_account or one of its ancestors. Null means same as invoiced. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/accountattributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
